/**
 * inspircd.h: This code contains the channel mode definitions for InspIRCd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 Atheme Development Group
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: inspircd.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

enum
{
  CMODE_NOCOLOR         = 1 << 12,      /* bahamut +c */
  CMODE_MODREG          = 1 << 13,      /* bahamut +M */
  CMODE_REGONLY         = 1 << 14,      /* bahamut +R */
  CMODE_OPERONLY        = 1 << 15,      /* bahamut +O */
  CMODE_NONOTICE        = 1 << 16,      /* inspircd +T */
  CMODE_PEACE           = 1 << 17,      /* unreal +Q */
  CMODE_STRIP           = 1 << 18,      /* unreal +S */
  CMODE_NOKNOCK         = 1 << 19,      /* unreal +K */
  CMODE_NOINVITE        = 1 << 20,      /* unreal +V */
  CMODE_NOCTCP          = 1 << 21,      /* unreal +C */
  CMODE_HIDING          = 1 << 22,      /* unreal +u */
  CMODE_SSLONLY         = 1 << 23,      /* unreal +z */
  CMODE_STICKY          = 1 << 24,      /* unreal +N */
  CMODE_CENSOR          = 1 << 25,      /* Censor +G */
  CMODE_NOCAPS          = 1 << 26,      /* No capitals */
  
  CMODE_OWNER           = 1 << 27,      /* unreal +q */
  CMODE_PROTECT         = 1 << 28,      /* unreal +a */
  CMODE_HALFOP          = 1 << 29       /* unreal +h */
};

#endif
