/**
 * plexus.h: This code contains the channel mode definitions for ratbox ircd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: plexus.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

enum
{
  CMODE_NOCOLOR   = 1 << 12,      /* bahamut +c */
  CMODE_MODREG    = 1 << 13,      /* bahamut +M */
  CMODE_REGONLY   = 1 << 14,      /* bahamut +R */
  CMODE_OPERONLY  = 1 << 15,      /* bahamut +O */
  CMODE_ADMONLY   = 1 << 16,      /* unreal +A */
  CMODE_PEACE     = 1 << 17,      /* unreal +Q */
  CMODE_STRIP     = 1 << 18,      /* unreal +S */
  CMODE_NOKNOCK   = 1 << 19,      /* unreal +K */
  CMODE_NOINVITE  = 1 << 20,      /* unreal +V */
  CMODE_NOCTCP    = 1 << 21,      /* unreal +C */
  CMODE_HIDING    = 1 << 22,      /* unreal +u */
  CMODE_PERM      = 1 << 23,      /* unreal +z */
  CMODE_STICKY    = 1 << 24,      /* unreal +N */
  CMODE_BWSAVE    = 1 << 25,      /* plexus +Z */
  
  CMODE_OWNER     = 1 << 26,      /* unreal +q */
  CMODE_PROTECT   = 1 << 27,      /* unreal +a */
  CMODE_HALFOP    = 1 << 28       /* unreal +h */
};

#endif
